Parâmetros de query
number
Índice inicial (padrão 0).
number
Itens por página (máx. 100).
string
CREATED, ACTIVE, CANCELLED, REFUSED, EXPIRED.
string
ID do cliente.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET 'https://api.goatpay.com.br/v1/pix-automatic/authorizations/list?offset=0&limit=10&status=ACTIVE' \
-H 'X-API-Key: gp_live_SUA_CHAVE'
{
"success": true,
"message": "Autorizações PIX Automático listadas",
"data": {
"object": "list",
"hasMore": false,
"totalCount": 1,
"limit": 10,
"offset": 0,
"data": [{
"id": "a33047b1-fb19-4b68-9373-a7ba8a8162aa",
"status": "ACTIVE",
"frequency": "MONTHLY",
"contractId": "CONTRACT-123",
"value": 99.9,
"startDate": "2026-06-01",
"customerId": "clx_customer",
"description": "Assinatura mensal",
"dateCreated": "2026-05-31T10:00:00.000Z"
}]
},
"requestId": "req_abc"
}
Paginação e filtros por status e cliente.
curl -X GET 'https://api.goatpay.com.br/v1/pix-automatic/authorizations/list?offset=0&limit=10&status=ACTIVE' \
-H 'X-API-Key: gp_live_SUA_CHAVE'
{
"success": true,
"message": "Autorizações PIX Automático listadas",
"data": {
"object": "list",
"hasMore": false,
"totalCount": 1,
"limit": 10,
"offset": 0,
"data": [{
"id": "a33047b1-fb19-4b68-9373-a7ba8a8162aa",
"status": "ACTIVE",
"frequency": "MONTHLY",
"contractId": "CONTRACT-123",
"value": 99.9,
"startDate": "2026-06-01",
"customerId": "clx_customer",
"description": "Assinatura mensal",
"dateCreated": "2026-05-31T10:00:00.000Z"
}]
},
"requestId": "req_abc"
}
